/*Für Desktops...*/
@media screen and (min-width:768px){
   body{
        /*Legt das Grid-Template an: 5 Spalten*/
         display: grid;
         grid-template-columns: 20% 20% 20% 20% 20%;

         /*Definierte, wo die Grid-Areas (childs) liegen*/
         /*Z.B. erstreckt sich das header-Element über fünf Spalten*/
         grid-template-areas: 
            "header header header header header"
            "nav main main main main"
            "footer footer footer footer footer";
         justify-items: stretch;
         margin: 0px;
         padding: 0px;
         color: white;
   }

   header{
        /*Gib dem Element einen Namen im Grid. Dieser kann im Parent verwendet werden*/
        grid-area: header;
 
        background-color: #333;
        font-size: 2em;
        padding: 2em;
        text-align: center;
   }

   nav{
        background-color: darkgoldenrod;
        /*Gib dem Element einen Namen im Grid. Dieser kann im Parent verwendet werden*/
        grid-area: nav;
   }

   nav a{
        color: white;
   }

   main{
        /*Gib dem Element einen Namen im Grid. Dieser kann im Parent verwendet werden*/
        grid-area: main;
        background-color: chartreuse;
   }

    .gallery{
        display: flex;
        flex-wrap: wrap;
        justify-content: space-evenly;
        align-items: center;
    }

    .gallery img{
        width: 100%;
        max-width: 30%;
        height: auto;
        margin: 1em;
        /* border: 1px solid #333; */
    }

   footer{
        /*Gib dem Element einen Namen im Grid. Dieser kann im Parent verwendet werden*/
        grid-area: footer;
        background-color: deeppink;
        padding: 2em;
        text-align: center;
    }

}

/*Für kleine Bildschirme...*/
@media screen and (max-width:768px) /*and (pointer:coarse), screen and (max-width:1200px) and (pointer:none) */
{

    body{
        /*Legt das Grid-Template an: 2 Spalten*/
        display: grid;
        grid-template-columns: 50% 50%;
        justify-items: stretch;
        margin: 0px;
        padding: 0px;
    }

    header{
        /* grid-column: 1 / -1; */
        grid-column-start: 1;
        grid-column-end: 3;
        background-color: #333;
        color: white;
        padding: 1em;
        text-align: center;
    }

    nav{
        display: none;
    }

    main{
        grid-column-start: 1;
        grid-column-end: 3;
        background-color: chartreuse;
        padding: 0px;
        margin: 0px;
    }

    .gallery{
        display: flex;
        flex-wrap: wrap;
    }

    .gallery img{
        width: 100%;
        height: auto;
        border: 1px solid #333;
    }

    footer{
        grid-column-start: 1 ;
        grid-column-end: 3;
        background-color: deeppink;
    }

}/*end of media query for smarphone*/